import {
  IsNotEmpty,
  IsOptional,
  Length,
  IsEmail,
  IsStrongPassword,
} from 'class-validator'

export class CreateUserDto {
  @IsNotEmpty()
  @IsEmail()
  email: string

  @IsOptional()
  @Length(5, 20)
  username?: string

  @IsNotEmpty()
  @IsStrongPassword()
  password: string
}
