import { Controller, Get } from '@nestjs/common'
import { UsersService } from './users.service'
import { ApiTags } from '@nestjs/swagger'
import { User } from 'src/common/decorators/user.decorator'
import { NeedAuth } from 'src/common/decorators/need-auth.decorator'

@ApiTags('User')
@Controller('api/user')
export class UsersController {
  constructor(private readonly userService: UsersService) {}

  @NeedAuth()
  @Get('profile')
  async getUserInfo(@User('userId') userId: string) {
    const user = await this.userService.findUser({ id: userId })
    return user
  }
}
